Bug 183214 - I get "You are not privileged to mount the volume" for CDs
I get "You are not privileged to mount the volume" for CDs
Product: Fedora
Classification: Fedora
Component: hal (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: John (J5) Palmieri
Depends On:
Blocks: FC5Blocker
  Show dependency treegraph
Reported: 2006-02-27 10:15 EST by Paul Dickson
Modified: 2013-03-13 00:49 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-03-08 13:35:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Paul Dickson 2006-02-27 10:15:22 EST
Description of problem:
When I place a non-blank CD in my CDROM drive, I get the message "You are
not privileged to mount the volume '<volume-name>'."

This is against gnome-mount, but may be related to hal and/or fstab-sync.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Have an /etc/fstab entry:
/dev/scd0  /media/cdrecorder auto pamconsole,exec,noauto,managed 0 0
2. Insert an non-blank CD
Actual results:
Popup "You are not privileged to mount the volume '<volume-name>'."

Expected results:
CD is mounted.

Additional info:
Commenting out the above fstab entry resolves the issue.
Comment 1 David Zeuthen 2006-02-27 11:51:38 EST
Reassigning to HAL.. we should have a script in %post than cleans out all
entries in /etc/fstab created by fstab-sync in older releases. John, can you do
that please?

Marking as FC5Blocker.
Comment 2 Matthias Clasen 2006-03-03 22:56:56 EST
John, will you do this before Monday ?
Comment 3 John (J5) Palmieri 2006-03-06 11:10:41 EST
It should be done already in the latest hal release.
Comment 4 Dennis Jacobfeuerborn 2006-03-08 10:44:48 EST
I saw this too but after syncing with rawhide last night and rebooting this is
now fixed for me.
Comment 5 Ray Strode [halfline] 2006-03-08 13:35:43 EST
great, closing...
Comment 6 Andrew Gilmore 2006-04-06 03:38:23 EDT
I experienced this with FC5 release on several of my upgraded FC4 machines.

Note You need to log in before you can comment on or make changes to this bug.